Package com.pixelmed.convert

# Class EncapsulateData

java.lang.Object
com.pixelmed.convert.EncapsulateData

public class EncapsulateData extends Object

A class to create a DICOM encapsulated data object from a data file and supplied metadata and/or composite context.

E.g., to encapsulate a PDF, CDA or STL file.

## Constructor Summary

Constructors
Constructor
Description
`EncapsulateData(String inputFileName, String metadataFileName, String compositeContextFileName, String outputFileName)`
Create a DICOM encapsulated data object from a data file and supplied metadata

## Method Summary

Modifier and Type
Method
Description
`static String`
`determineMediaTypeFromFile(String filename)`
`static String`
`determineModalityFromSOPClass(String sopClassUID)`
`static String`
`determineSOPClassFromMediaType(String mediaType)`
`static void`
`main(String[] arg)`
Create a DICOM encapsulated data object from a data file and supplied metadata.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EncapsulateData

public EncapsulateData(String inputFileName, String metadataFileName, String compositeContextFileName, String outputFileName) throws FileNotFoundException, IOException, DicomException

Create a DICOM encapsulated data object from a data file and supplied metadata

The SOP Class will be automatically determined from the supplied file type.

Parameters:
  `inputFileName` - file containing data to be encapsulated
  `metadataFileName` - file containing metadata to be included, may be null or empty string
  `compositeContextFileName` - file containing DICOM patient and study composite context to reuse, may be null or empty string
  `outputFileName` - file to write the DICOM encapsulated object to
Throws:
  `FileNotFoundException` - if a file cannot be found
  `IOException` - if there is a problem reading or writing
  `DicomException` - if there is a problem parsing or extracting required content

## Method Details

### determineMediaTypeFromFile

public static String determineMediaTypeFromFile(String filename)

### determineSOPClassFromMediaType

public static String determineSOPClassFromMediaType(String mediaType)

### determineModalityFromSOPClass

public static String determineModalityFromSOPClass(String sopClassUID)

### main

public static void main(String[] arg)

Create a DICOM encapsulated data object from a data file and supplied metadata.

The SOP Class will be automatically determined from the supplied file type.

Parameters:
  `arg` - two to four parameters, the input data file, optionally a metadata file, optionally a patient/study composite context source DICOM file, and the output file